Get division first-place history
curl --request GET \
--url https://softmax.com/api/observatory/v2/divisions/{division_id}/first-place \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/divisions/{division_id}/first-place"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/divisions/{division_id}/first-place', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current": {
"player_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"rounds_held": 123,
"score": 123,
"gap_history": [
{
"at": "2023-11-07T05:31:56Z",
"score": 123,
"gap_to_second": 123
}
],
"player_name": "<string>",
"second_player_id": "<string>",
"second_player_name": "<string>",
"gap_to_second": 123,
"taken_from_player_id": "<string>",
"taken_from_player_name": "<string>"
},
"reign_count": 123,
"longest_prior_reign_started_at": "2023-11-07T05:31:56Z",
"longest_prior_reign_ended_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Leagues
Get division first-place history
Return the current leader, recent lead changes, and prior first-place reigns for a division.
GET
/
v2
/
divisions
/
{division_id}
/
first-place
Get division first-place history
Authorizations
Bearer token issued by Softmax
Path Parameters
Division whose first-place history should be returned.
Pattern:
^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
FirstPlaceSummaryPublic · object | null
Successful Response
Current first-place reign.
Show child attributes
Show child attributes
Number of first-place reigns held by the current leader.
Start time of the leader's longest completed reign, or null when none exists.
End time of the leader's longest completed reign, or null when none exists.